Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 2188 in orxonox.OLD


Ignore:
Timestamp:
Jul 17, 2004, 10:22:35 AM (20 years ago)
Author:
bensch
Message:

orxonox/branches/chris: now it compiles for Linux, but there remains a segmentation fault, when pushing a button, also the ship is not rendered

Location:
orxonox/branches/chris
Files:
1 deleted
5 edited
1 copied

Legend:

Unmodified
Added
Removed
  • orxonox/branches/chris/config.h.in

    r1982 r2188  
    3434/* Define to 1 if you have the <memory.h> header file. */
    3535#undef HAVE_MEMORY_H
     36
     37/* Define to 1 if you have the <SDL/SDL.h> header file. */
     38#undef HAVE_SDL_SDL_H
    3639
    3740/* Define to 1 if you have the `sqrt' function. */
  • orxonox/branches/chris/configure

    r2058 r2188  
    17321732    mingw=yes
    17331733    MSBITFIELDS="-mms-bitfields"
     1734    MWINDOWS="-mwindows"
    17341735    ;;
    17351736  *)
     
    49004901    fi
    49014902fi
     4903
     4904## SDL CHECK
     4905
     4906#checking for SDL libs
     4907
     4908for ac_header in SDL/SDL.h
     4909do
     4910as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     4911if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4912  echo "$as_me:$LINENO: checking for $ac_header" >&5
     4913echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     4914if eval "test \"\${$as_ac_Header+set}\" = set"; then
     4915  echo $ECHO_N "(cached) $ECHO_C" >&6
     4916fi
     4917echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     4918echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     4919else
     4920  # Is the header compilable?
     4921echo "$as_me:$LINENO: checking $ac_header usability" >&5
     4922echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     4923cat >conftest.$ac_ext <<_ACEOF
     4924/* confdefs.h.  */
     4925_ACEOF
     4926cat confdefs.h >>conftest.$ac_ext
     4927cat >>conftest.$ac_ext <<_ACEOF
     4928/* end confdefs.h.  */
     4929$ac_includes_default
     4930#include <$ac_header>
     4931_ACEOF
     4932rm -f conftest.$ac_objext
     4933if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     4934  (eval $ac_compile) 2>conftest.er1
     4935  ac_status=$?
     4936  grep -v '^ *+' conftest.er1 >conftest.err
     4937  rm -f conftest.er1
     4938  cat conftest.err >&5
     4939  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4940  (exit $ac_status); } &&
     4941         { ac_try='test -z "$ac_c_werror_flag"
     4942                         || test ! -s conftest.err'
     4943  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4944  (eval $ac_try) 2>&5
     4945  ac_status=$?
     4946  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4947  (exit $ac_status); }; } &&
     4948         { ac_try='test -s conftest.$ac_objext'
     4949  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4950  (eval $ac_try) 2>&5
     4951  ac_status=$?
     4952  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4953  (exit $ac_status); }; }; then
     4954  ac_header_compiler=yes
     4955else
     4956  echo "$as_me: failed program was:" >&5
     4957sed 's/^/| /' conftest.$ac_ext >&5
     4958
     4959ac_header_compiler=no
     4960fi
     4961rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     4962echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     4963echo "${ECHO_T}$ac_header_compiler" >&6
     4964
     4965# Is the header present?
     4966echo "$as_me:$LINENO: checking $ac_header presence" >&5
     4967echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     4968cat >conftest.$ac_ext <<_ACEOF
     4969/* confdefs.h.  */
     4970_ACEOF
     4971cat confdefs.h >>conftest.$ac_ext
     4972cat >>conftest.$ac_ext <<_ACEOF
     4973/* end confdefs.h.  */
     4974#include <$ac_header>
     4975_ACEOF
     4976if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     4977  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     4978  ac_status=$?
     4979  grep -v '^ *+' conftest.er1 >conftest.err
     4980  rm -f conftest.er1
     4981  cat conftest.err >&5
     4982  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4983  (exit $ac_status); } >/dev/null; then
     4984  if test -s conftest.err; then
     4985    ac_cpp_err=$ac_c_preproc_warn_flag
     4986    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     4987  else
     4988    ac_cpp_err=
     4989  fi
     4990else
     4991  ac_cpp_err=yes
     4992fi
     4993if test -z "$ac_cpp_err"; then
     4994  ac_header_preproc=yes
     4995else
     4996  echo "$as_me: failed program was:" >&5
     4997sed 's/^/| /' conftest.$ac_ext >&5
     4998
     4999  ac_header_preproc=no
     5000fi
     5001rm -f conftest.err conftest.$ac_ext
     5002echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     5003echo "${ECHO_T}$ac_header_preproc" >&6
     5004
     5005# So?  What about this header?
     5006case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     5007  yes:no: )
     5008    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     5009echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     5010    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     5011echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     5012    ac_header_preproc=yes
     5013    ;;
     5014  no:yes:* )
     5015    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     5016echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     5017    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     5018echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     5019    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     5020echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     5021    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     5022echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     5023    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     5024echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     5025    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     5026echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     5027    (
     5028      cat <<\_ASBOX
     5029## ------------------------------------------- ##
     5030## Report this to orxonox-dev@mail.datacore.ch ##
     5031## ------------------------------------------- ##
     5032_ASBOX
     5033    ) |
     5034      sed "s/^/$as_me: WARNING:     /" >&2
     5035    ;;
     5036esac
     5037echo "$as_me:$LINENO: checking for $ac_header" >&5
     5038echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     5039if eval "test \"\${$as_ac_Header+set}\" = set"; then
     5040  echo $ECHO_N "(cached) $ECHO_C" >&6
     5041else
     5042  eval "$as_ac_Header=\$ac_header_preproc"
     5043fi
     5044echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     5045echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     5046
     5047fi
     5048if test `eval echo '${'$as_ac_Header'}'` = yes; then
     5049  cat >>confdefs.h <<_ACEOF
     5050#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     5051_ACEOF
     5052
     5053else
     5054  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
     5055echo "$as_me: error: cannot find SDL headers" >&2;}
     5056   { (exit 1); exit 1; }; }
     5057fi
     5058
     5059done
     5060
     5061
     5062echo "$as_me:$LINENO: checking for main in -lSDL" >&5
     5063echo $ECHO_N "checking for main in -lSDL... $ECHO_C" >&6
     5064if test "${ac_cv_lib_SDL_main+set}" = set; then
     5065  echo $ECHO_N "(cached) $ECHO_C" >&6
     5066else
     5067  ac_check_lib_save_LIBS=$LIBS
     5068LIBS="-lSDL  $LIBS"
     5069cat >conftest.$ac_ext <<_ACEOF
     5070/* confdefs.h.  */
     5071_ACEOF
     5072cat confdefs.h >>conftest.$ac_ext
     5073cat >>conftest.$ac_ext <<_ACEOF
     5074/* end confdefs.h.  */
     5075
     5076
     5077int
     5078main ()
     5079{
     5080main ();
     5081  ;
     5082  return 0;
     5083}
     5084_ACEOF
     5085rm -f conftest.$ac_objext conftest$ac_exeext
     5086if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5087  (eval $ac_link) 2>conftest.er1
     5088  ac_status=$?
     5089  grep -v '^ *+' conftest.er1 >conftest.err
     5090  rm -f conftest.er1
     5091  cat conftest.err >&5
     5092  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5093  (exit $ac_status); } &&
     5094         { ac_try='test -z "$ac_c_werror_flag"
     5095                         || test ! -s conftest.err'
     5096  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5097  (eval $ac_try) 2>&5
     5098  ac_status=$?
     5099  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5100  (exit $ac_status); }; } &&
     5101         { ac_try='test -s conftest$ac_exeext'
     5102  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5103  (eval $ac_try) 2>&5
     5104  ac_status=$?
     5105  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5106  (exit $ac_status); }; }; then
     5107  ac_cv_lib_SDL_main=yes
     5108else
     5109  echo "$as_me: failed program was:" >&5
     5110sed 's/^/| /' conftest.$ac_ext >&5
     5111
     5112ac_cv_lib_SDL_main=no
     5113fi
     5114rm -f conftest.err conftest.$ac_objext \
     5115      conftest$ac_exeext conftest.$ac_ext
     5116LIBS=$ac_check_lib_save_LIBS
     5117fi
     5118echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_main" >&5
     5119echo "${ECHO_T}$ac_cv_lib_SDL_main" >&6
     5120if test $ac_cv_lib_SDL_main = yes; then
     5121  FOUND_SDL=yes
     5122fi
     5123
     5124if test "$FOUND_SDL" = "yes" ; then
     5125    LIBS="$LIBS -lSDL"
     5126    #   checking for Windows sdl library
     5127else
     5128    echo "We did not find the Linux sdl Library. Checking for Windows Library"
     5129    echo "$as_me:$LINENO: checking for main in -lsdlmain" >&5
     5130echo $ECHO_N "checking for main in -lsdlmain... $ECHO_C" >&6
     5131if test "${ac_cv_lib_sdlmain_main+set}" = set; then
     5132  echo $ECHO_N "(cached) $ECHO_C" >&6
     5133else
     5134  ac_check_lib_save_LIBS=$LIBS
     5135LIBS="-lsdlmain  $LIBS"
     5136cat >conftest.$ac_ext <<_ACEOF
     5137/* confdefs.h.  */
     5138_ACEOF
     5139cat confdefs.h >>conftest.$ac_ext
     5140cat >>conftest.$ac_ext <<_ACEOF
     5141/* end confdefs.h.  */
     5142
     5143
     5144int
     5145main ()
     5146{
     5147main ();
     5148  ;
     5149  return 0;
     5150}
     5151_ACEOF
     5152rm -f conftest.$ac_objext conftest$ac_exeext
     5153if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5154  (eval $ac_link) 2>conftest.er1
     5155  ac_status=$?
     5156  grep -v '^ *+' conftest.er1 >conftest.err
     5157  rm -f conftest.er1
     5158  cat conftest.err >&5
     5159  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5160  (exit $ac_status); } &&
     5161         { ac_try='test -z "$ac_c_werror_flag"
     5162                         || test ! -s conftest.err'
     5163  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5164  (eval $ac_try) 2>&5
     5165  ac_status=$?
     5166  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5167  (exit $ac_status); }; } &&
     5168         { ac_try='test -s conftest$ac_exeext'
     5169  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5170  (eval $ac_try) 2>&5
     5171  ac_status=$?
     5172  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5173  (exit $ac_status); }; }; then
     5174  ac_cv_lib_sdlmain_main=yes
     5175else
     5176  echo "$as_me: failed program was:" >&5
     5177sed 's/^/| /' conftest.$ac_ext >&5
     5178
     5179ac_cv_lib_sdlmain_main=no
     5180fi
     5181rm -f conftest.err conftest.$ac_objext \
     5182      conftest$ac_exeext conftest.$ac_ext
     5183LIBS=$ac_check_lib_save_LIBS
     5184fi
     5185echo "$as_me:$LINENO: result: $ac_cv_lib_sdlmain_main" >&5
     5186echo "${ECHO_T}$ac_cv_lib_sdlmain_main" >&6
     5187if test $ac_cv_lib_sdlmain_main = yes; then
     5188  FOUND_sdlmain=yes
     5189fi
     5190
     5191    if test "$FOUND_sdlmain" = "yes" ; then
     5192        LIBS="$LIBS -lsdlmain -lsdl"
     5193    else
     5194         echo "------------------"
     5195         echo "sdl library not found."
     5196         echo "please install the libsdl, which can be found at http://www.libsdl.org"
     5197         echo "------------------"
     5198         exit -1
     5199    fi
     5200fi
     5201
     5202#checking for pthread libs
     5203echo "$as_me:$LINENO: checking for main in -lpthread" >&5
     5204echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6
     5205if test "${ac_cv_lib_pthread_main+set}" = set; then
     5206  echo $ECHO_N "(cached) $ECHO_C" >&6
     5207else
     5208  ac_check_lib_save_LIBS=$LIBS
     5209LIBS="-lpthread  $LIBS"
     5210cat >conftest.$ac_ext <<_ACEOF
     5211/* confdefs.h.  */
     5212_ACEOF
     5213cat confdefs.h >>conftest.$ac_ext
     5214cat >>conftest.$ac_ext <<_ACEOF
     5215/* end confdefs.h.  */
     5216
     5217
     5218int
     5219main ()
     5220{
     5221main ();
     5222  ;
     5223  return 0;
     5224}
     5225_ACEOF
     5226rm -f conftest.$ac_objext conftest$ac_exeext
     5227if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5228  (eval $ac_link) 2>conftest.er1
     5229  ac_status=$?
     5230  grep -v '^ *+' conftest.er1 >conftest.err
     5231  rm -f conftest.er1
     5232  cat conftest.err >&5
     5233  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5234  (exit $ac_status); } &&
     5235         { ac_try='test -z "$ac_c_werror_flag"
     5236                         || test ! -s conftest.err'
     5237  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5238  (eval $ac_try) 2>&5
     5239  ac_status=$?
     5240  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5241  (exit $ac_status); }; } &&
     5242         { ac_try='test -s conftest$ac_exeext'
     5243  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5244  (eval $ac_try) 2>&5
     5245  ac_status=$?
     5246  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5247  (exit $ac_status); }; }; then
     5248  ac_cv_lib_pthread_main=yes
     5249else
     5250  echo "$as_me: failed program was:" >&5
     5251sed 's/^/| /' conftest.$ac_ext >&5
     5252
     5253ac_cv_lib_pthread_main=no
     5254fi
     5255rm -f conftest.err conftest.$ac_objext \
     5256      conftest$ac_exeext conftest.$ac_ext
     5257LIBS=$ac_check_lib_save_LIBS
     5258fi
     5259echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
     5260echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6
     5261if test $ac_cv_lib_pthread_main = yes; then
     5262  FOUND_pthread=yes
     5263fi
     5264
     5265if test "$FOUND_pthread" = "yes" ; then
     5266    LIBS="$LIBS -lpthread"
     5267fi
     5268
     5269#checking for  libs
     5270echo "$as_me:$LINENO: checking for main in -lpthread" >&5
     5271echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6
     5272if test "${ac_cv_lib_pthread_main+set}" = set; then
     5273  echo $ECHO_N "(cached) $ECHO_C" >&6
     5274else
     5275  ac_check_lib_save_LIBS=$LIBS
     5276LIBS="-lpthread  $LIBS"
     5277cat >conftest.$ac_ext <<_ACEOF
     5278/* confdefs.h.  */
     5279_ACEOF
     5280cat confdefs.h >>conftest.$ac_ext
     5281cat >>conftest.$ac_ext <<_ACEOF
     5282/* end confdefs.h.  */
     5283
     5284
     5285int
     5286main ()
     5287{
     5288main ();
     5289  ;
     5290  return 0;
     5291}
     5292_ACEOF
     5293rm -f conftest.$ac_objext conftest$ac_exeext
     5294if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     5295  (eval $ac_link) 2>conftest.er1
     5296  ac_status=$?
     5297  grep -v '^ *+' conftest.er1 >conftest.err
     5298  rm -f conftest.er1
     5299  cat conftest.err >&5
     5300  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5301  (exit $ac_status); } &&
     5302         { ac_try='test -z "$ac_c_werror_flag"
     5303                         || test ! -s conftest.err'
     5304  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5305  (eval $ac_try) 2>&5
     5306  ac_status=$?
     5307  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5308  (exit $ac_status); }; } &&
     5309         { ac_try='test -s conftest$ac_exeext'
     5310  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     5311  (eval $ac_try) 2>&5
     5312  ac_status=$?
     5313  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     5314  (exit $ac_status); }; }; then
     5315  ac_cv_lib_pthread_main=yes
     5316else
     5317  echo "$as_me: failed program was:" >&5
     5318sed 's/^/| /' conftest.$ac_ext >&5
     5319
     5320ac_cv_lib_pthread_main=no
     5321fi
     5322rm -f conftest.err conftest.$ac_objext \
     5323      conftest$ac_exeext conftest.$ac_ext
     5324LIBS=$ac_check_lib_save_LIBS
     5325fi
     5326echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
     5327echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6
     5328if test $ac_cv_lib_pthread_main = yes; then
     5329  FOUND_pthread=yes
     5330fi
     5331
     5332if test "$FOUND_pthread" = "yes" ; then
     5333    LIBS="$LIBS -lpthread"
     5334fi
     5335
     5336
     5337
     5338
    49025339
    49035340# FIXME: Replace `main' with a function in `-lm':
  • orxonox/branches/chris/configure.ac

    r2058 r2188  
    1313    mingw=yes
    1414    MSBITFIELDS="-mms-bitfields"
     15    MWINDOWS="-mwindows"
    1516    ;;
    1617  *)
     
    103104fi
    104105
     106## SDL CHECK
     107
     108#checking for SDL libs
     109AC_CHECK_HEADERS(SDL/SDL.h ,,
     110      [AC_MSG_ERROR([cannot find SDL headers]) ])
     111
     112AC_CHECK_LIB([SDL], [main], FOUND_SDL=yes)
     113if test "$FOUND_SDL" = "yes" ; then
     114    LIBS="$LIBS -lSDL"
     115    #   checking for Windows sdl library
     116else
     117    echo "We did not find the Linux sdl Library. Checking for Windows Library"
     118    AC_CHECK_LIB([sdlmain], [main], FOUND_sdlmain=yes)
     119    if test "$FOUND_sdlmain" = "yes" ; then
     120        LIBS="$LIBS -lsdlmain -lsdl"
     121    else
     122         echo "------------------"
     123         echo "sdl library not found."
     124         echo "please install the libsdl, which can be found at http://www.libsdl.org"
     125         echo "------------------"
     126         exit -1
     127    fi
     128fi
     129
     130#checking for pthread libs
     131AC_CHECK_LIB([pthread], [main], FOUND_pthread=yes)
     132if test "$FOUND_pthread" = "yes" ; then
     133    LIBS="$LIBS -lpthread"
     134fi
     135
     136#checking for  libs
     137AC_CHECK_LIB([pthread], [main], FOUND_pthread=yes)
     138if test "$FOUND_pthread" = "yes" ; then
     139    LIBS="$LIBS -lpthread"
     140fi
     141
     142
     143
     144
     145
    105146# FIXME: Replace `main' with a function in `-lm':
    106147AC_CHECK_LIB([m], [main])
  • orxonox/branches/chris/src/Makefile.am

    r2103 r2188  
    11AM_CXXFLAGS="-I/usr/X11R6/include"
    2 AM_LDFLAGS="-L/usr/Mesa-6.0.1/lib  -L/usr/X11R6/lib -lXt -lX11"
     2AM_LDFLAGS="-L/usr/Mesa-6.0.1/lib  -L/usr/X11R6/lib -lXt -lX11" $(MWINDOWS)
    33
    44#"-O3 -pedantic -fPIC -ffast-math -I/usr/X11R6/include"
     
    99
    1010#  uncomment the following if bencoder requires the math library
    11 #gui_LDADD=-lm
     11orxonox_LDADD=-lm
    1212
    1313#EXTRA_DIST=orxonox.lsm.in orxonox.spec.in orxonox.texinfo
  • orxonox/branches/chris/src/Makefile.in

    r2103 r2188  
    112112target_alias = @target_alias@
    113113AM_CXXFLAGS = "-I/usr/X11R6/include"
    114 AM_LDFLAGS = "-L/usr/Mesa-6.0.1/lib  -L/usr/X11R6/lib -lXt -lX11"
     114AM_LDFLAGS = "-L/usr/Mesa-6.0.1/lib  -L/usr/X11R6/lib -lXt -lX11" $(MWINDOWS)
    115115
    116116
     
    118118bin_PROGRAMS = orxonox
    119119orxonox_SOURCES = orxonox.cc world.cc player.cc data_tank.cc world_entity.cc vector.cc camera.cc collision.cc command_node.cc ini_parser.cc keynames.cc track.cc
     120
     121#  uncomment the following if bencoder requires the math library
     122orxonox_LDADD = -lm
    120123subdir = src
    121124ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     
    131134        ini_parser.$(OBJEXT) keynames.$(OBJEXT) track.$(OBJEXT)
    132135orxonox_OBJECTS = $(am_orxonox_OBJECTS)
    133 orxonox_LDADD = $(LDADD)
    134136orxonox_DEPENDENCIES =
    135137orxonox_LDFLAGS =
     
    407409
    408410
    409 #  uncomment the following if bencoder requires the math library
    410 #gui_LDADD=-lm
    411 
    412411#EXTRA_DIST=orxonox.lsm.in orxonox.spec.in orxonox.texinfo
    413412
Note: See TracChangeset for help on using the changeset viewer.